Page MenuHomeLubuntu Development

Add wallpapers from wallpaper contest.
AbandonedPublic

Authored by kc2bez on Apr 8 2020, 10:04 AM.

Details

Reviewers
wxl
tsimonq2
Summary

Add wallpapers from contest.
Remove old wallpapers.

Test Plan

Boot daily image.
Check for new artwork on the desktop/login.

Diff Detail

Repository
rART Artwork
Branch
ubuntu/focal
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 187
Build 187: arc lint + arc unit

Event Timeline

kc2bez requested review of this revision.Apr 8 2020, 10:04 AM
kc2bez created this revision.

There seems to be a problem:

(git)-[ubuntu/focal] % arc patch D88 --nobranch --trace                            :(
 ARGV  /home/gerry/arcanist/arcanist/bin//arc patch D88 --nobranch --trace
 ARGV  /home/gerry/arcanist/arcanist/scripts/arcanist.php patch D88 --nobranch --trace
 LOAD  Loaded "arcanist" from "/home/gerry/arcanist/arcanist/src".
Config: Reading user configuration file "/home/gerry/.arcrc"...
Config: Did not find system configuration at "/etc/arcconfig".
Working Copy: Unable to find .arcconfig in any of these locations: /home/gerry/plunder/lubuntu-artwork/.arcconfig.
Working Copy: Path "/home/gerry/plunder/lubuntu-artwork" is part of `git` working copy "/home/gerry/plunder/lubuntu-artwork".
Working Copy: Project root is at "/home/gerry/plunder/lubuntu-artwork".
Config: Did not find local configuration at "/home/gerry/plunder/lubuntu-artwork/.git/arc/config".
>>> [1] (+0) <http> https://phab.lubuntu.me/api/differential.querydiffs
<<< [1] (+406) <http> 406,691 us
>>> [2] (+406) <conduit> differential.querydiffs() <bytes = 73>
<<< [2] (+406) <conduit> 90 us
>>> [3] (+407) <http> https://phab.lubuntu.me/api/user.whoami
<<< [3] (+526) <http> 119,293 us
>>> [4] (+526) <conduit> user.whoami() <bytes = 117>
<<< [4] (+526) <conduit> 61 us
>>> [5] (+526) <http> https://phab.lubuntu.me/api/differential.querydiffs
<<< [5] (+817) <http> 290,452 us
>>> [6] (+817) <conduit> differential.querydiffs() <bytes = 154>
<<< [6] (+817) <conduit> 84 us
>>> [7] (+822) <exec> $ git symbolic-ref --quiet HEAD
<<< [7] (+828) <exec> 6,422 us
>>> [8] (+829) <exec> $ git rev-parse --symbolic-full-name ubuntu/focal@{upstream}
<<< [8] (+835) <exec> 6,561 us
>>> [9] (+836) <exec> $ git remote get-url -- origin
<<< [9] (+842) <exec> 5,939 us
>>> [10] (+843) <http> https://phab.lubuntu.me/api/repository.query
>>> [11] (+843) <conduit> repository.query() <bytes = 227>
<<< [11] (+961) <conduit> 118,416 us
<<< [10] (+961) <http> 118,665 us
>>> [12] (+962) <exec> $ git --version
<<< [12] (+969) <exec> 6,767 us
>>> [13] (+969) <exec> $ git status --porcelain=2 -z
<<< [13] (+1,134) <exec> 165,444 us
>>> [14] (+1,135) <exec> $ git show -s --format='%H' 0222d0d279a81a03bcc681ee462c0c0c6d915ecd --
<<< [14] (+1,143) <exec> 8,403 us
>>> [15] (+1,144) <exec> $ git symbolic-ref --quiet HEAD
<<< [15] (+1,151) <exec> 7,167 us
>>> [16] (+1,151) <exec> $ git rev-parse --verify arcpatch-D88
<<< [16] (+1,156) <exec> 4,912 us
>>> [17] (+1,156) <exec> $ git show -s --format='%H' 0222d0d279a81a03bcc681ee462c0c0c6d915ecd --
<<< [17] (+1,163) <exec> 6,924 us
>>> [18] (+1,163) <exec> $ git checkout -b arcpatch-D88 0222d0d279a81a03bcc681ee462c0c0c6d915ecd
<<< [18] (+1,171) <exec> 7,674 us
Created and checked out branch arcpatch-D88.
>>> [19] (+1,220) <exec> $ git show -s --format='%H' 0222d0d279a81a03bcc681ee462c0c0c6d915ecd --
<<< [19] (+1,227) <exec> 6,751 us
Downloading binary data for '2004-lubuntu-wire-humming.jpg'...
>>> [20] (+1,228) <http> https://phab.lubuntu.me/api/file.download
<<< [20] (+1,754) <http> 525,557 us
>>> [21] (+1,754) <conduit> file.download() <bytes = 169>
<<< [21] (+1,754) <conduit> 108 us
Downloading binary data for '2004-lubuntu-wire-fossa.jpg'...
>>> [22] (+1,817) <http> https://phab.lubuntu.me/api/file.download
<<< [22] (+2,056) <http> 239,309 us
>>> [23] (+2,056) <conduit> file.download() <bytes = 169>
<<< [23] (+2,056) <conduit> 45 us
Downloading binary data for '2004-lubuntu-solid-humming.jpeg'...
>>> [24] (+2,100) <http> https://phab.lubuntu.me/api/file.download
<<< [24] (+2,373) <http> 273,249 us
>>> [25] (+2,373) <conduit> file.download() <bytes = 169>
<<< [25] (+2,373) <conduit> 60 us
Downloading binary data for '2004-lubuntu-logo.png'...
>>> [26] (+2,417) <http> https://phab.lubuntu.me/api/file.download
<<< [26] (+3,001) <http> 584,771 us
>>> [27] (+3,002) <conduit> file.download() <bytes = 169>
<<< [27] (+3,002) <conduit> 98 us

[2020-04-08 15:47:03] EXCEPTION: (ConduitClientException) ERR-CONDUIT-CORE: HMAC-SHA256 can only digest strings. at [<arcanist>/src/conduit/ConduitFuture.php:62]
arcanist(head=master, ref.master=368aec16a1ee)
  #0 ConduitFuture::didReceiveResult called at [<arcanist>/src/future/FutureProxy.php:40]
  #1 FutureProxy::isReady called at [<arcanist>/src/conduit/ConduitFuture.php:27]
  #2 ConduitFuture::isReady called at [<arcanist>/src/future/FutureProxy.php:49]
  #3 FutureProxy::resolve called at [<arcanist>/src/conduit/ConduitClient.php:64]
  #4 ConduitClient::callMethodSynchronous called at [<arcanist>/src/parser/ArcanistBundle.php:733]
  #5 ArcanistBundle::getBlob called at [<arcanist>/src/parser/ArcanistBundle.php:796]
  #6 ArcanistBundle::buildBinaryChange called at [<arcanist>/src/parser/ArcanistBundle.php:409]
  #7 ArcanistBundle::toGitPatch called at [<arcanist>/src/workflow/ArcanistPatchWorkflow.php:704]
  #8 ArcanistPatchWorkflow::run called at [<arcanist>/src/workflow/ArcanistPatchWorkflow.php:398]
  #9 ArcanistPatchWorkflow::run called at [<arcanist>/scripts/arcanist.php:411]

I am not sure, if this problem is a problem of Phabricator or a problem with the commit.

See also


@teward @tsimonq2 @kc2bez

From IRC/Telegram:

Thomas Ward, [12.04.20 19:11]
> net::ERR_CONTENT_LENGTH_MISMATCH 200 (OK)

Thomas Ward, [12.04.20 19:11]
underneath the scenes that's that error

Thomas Ward, [12.04.20 19:11]
so that's whatever file cache holds the image not giving the image proper

Thomas Ward, [12.04.20 19:11]
$ curl 'https://phab.lubuntu.me/file/data/7msn4snlbjufp7cxjynu/PHID-FILE-fqlho3q4xdfum2433qw4/1910-Lubuntu-eoan-ermine.png' -H 'Connection: keep-alive' -H 'Pragma: no-cache' -H 'Cache-Control: no-cache' -H 'User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.163 Safari/537.36' -H 'DNT: 1' -H 'Sec-Fetch-Dest: image' -H 'Accept: image/webp,image/apng,image/*,*/*;q=0.8' -H 'Sec-Fetch-Site: same-origin' -H 'Sec-Fetch-Mode: no-cors' -H 'Accept-Language: en-US,en;q=0.9' -H 'Cookie: phusr=teward; phsid=nlrzdbmgygu6mteej6kgjmb4mou4qmh2e7dundiv' --compressed
curl: (18) transfer closed with 2163554 bytes remaining to read

Thomas Ward, [12.04.20 19:11]
so if the thing is S3-compatible-API backed that's the problem

Thomas Ward, [12.04.20 19:12]
and it's failing for three separate images embedded on the page

Thomas Ward, [12.04.20 19:13]
so that's beyond my ability to fix, since what this indicates is that a full bytestring was not provided and instead was a zero-length string

Thomas Ward, [12.04.20 19:13]
or similar.

Thomas Ward, [12.04.20 19:13]
from the backend

Thomas Ward, [12.04.20 19:13]
So, @tsimonq2 if this is S3-compatible-store backed then the store backing it is at fault

Dan Simmons, [12.04.20 19:14]
1910-Lubuntu-eoan-ermine.png is one of the images?

Thomas Ward, [12.04.20 19:14]
according to the embeds yes

Thomas Ward, [12.04.20 19:14]
yep, because it's showing a diff

Thomas Ward, [12.04.20 19:14]
and trying to laod the images for display

Thomas Ward, [12.04.20 19:14]
[ Photo ]

Dan Simmons, [12.04.20 19:15]
Makes sense. It is actually removed in the diff.

Thomas Ward, [12.04.20 19:15]
AND it's only erroring for certain images

Thomas Ward, [12.04.20 19:15]
and not others

Thomas Ward, [12.04.20 19:15]
yep, and that explains the error

Thomas Ward, [12.04.20 19:15]
because it's gone from the store it can no longer render the image

Dan Simmons, [12.04.20 19:15]
They would have been uploaded last release

Thomas Ward, [12.04.20 19:16]
as i said if they're gone and deleted from the S3 compatible datastore then that's the problem there

Thomas Ward, [12.04.20 19:16]
it's trying to render a file that doesn't exist anymore

Thomas Ward, [12.04.20 19:16]
HENCE the zero-length instant close of the download link and the SHA256 error

Thomas Ward, [12.04.20 19:16]
because backend is returning 0-length string to Diffusion and SHA256-HMAC can't use that

Dan Simmons, [12.04.20 19:17]
null is bad

Thomas Ward, [12.04.20 19:17]
true

Thomas Ward, [12.04.20 19:17]
so ULTIMATELY not able to be fixed by me because in reality there's nothing really *wrong* except that Phab has no functions to handle zero-length S3-returned items
kc2bez updated this revision to Diff 259.Apr 14 2020, 4:41 AM
  • Switch default wallpaper to png for SDDM.
  • Update changelog.
marce809 removed a subscriber: marce809.

@kc2bez I guess, this change can be abandoned?

@kc2bez I guess, this change can be abandoned?

I committed the change so I am unsure what abandoning does to it.

kc2bez abandoned this revision.May 21 2020, 10:27 AM